# Overview

Check out one of the core guides to get started: 

- [Installing Python versions](./install-python.md)
- [Running scripts and declaring dependencies](./scripts.md) 
- [Running and installing applications as tools](./tools.md) 
- [Creating and working on projects](./projects.md) 

Learn how to integrate uv with other software:

- [Using in Docker images](./integration/docker.md)
- [Using with pre-commit](./integration/pre-commit.md)
- [Using in GitHub Actions](./integration/github.md)
- [Using with commercial package indexes](./integration/commercial-indexes.md)

Or, explore the concept documentation for comprehensive breakdown of each feature:

- [Projects](../projects.md)
- [Dependencies](../dependencies.md)
- [Workspaces](../workspaces.md)
- [Tools](../tools.md)
- [Python versions](../python-versions.md)
- [Resolution](../resolution.md)
- [Caching](../cache.md)
- [Authentication](../configuration/authentication.md)
